curl --request GET \
--url https://api.arize.com/v2/ai-integrations \
--header 'Authorization: Bearer <token>'{
"ai_integrations": [
{
"id": "TGxtSW50ZWdyYXRpb246MTI6YUJjRA==",
"name": "My OpenAI Integration",
"provider": "openAI",
"has_api_key": true,
"model_names": [
"gpt-4",
"gpt-4o"
],
"enable_default_models": true,
"function_calling_enabled": true,
"auth_type": "default",
"scopings": [
{}
],
"created_at": "2026-02-13T21:27:19.055Z",
"updated_at": "2026-02-13T21:27:19.279Z",
"created_by_user_id": "VXNlcjoxOm5OYkM="
}
],
"pagination": {
"has_more": false
}
}List AI integrations the user has access to.
curl --request GET \
--url https://api.arize.com/v2/ai-integrations \
--header 'Authorization: Bearer <token>'{
"ai_integrations": [
{
"id": "TGxtSW50ZWdyYXRpb246MTI6YUJjRA==",
"name": "My OpenAI Integration",
"provider": "openAI",
"has_api_key": true,
"model_names": [
"gpt-4",
"gpt-4o"
],
"enable_default_models": true,
"function_calling_enabled": true,
"auth_type": "default",
"scopings": [
{}
],
"created_at": "2026-02-13T21:27:19.055Z",
"updated_at": "2026-02-13T21:27:19.279Z",
"created_by_user_id": "VXNlcjoxOm5OYkM="
}
],
"pagination": {
"has_more": false
}
}Documentation Index
Fetch the complete documentation index at: https://arize-ax.mintlify.dev/docs/llms.txt
Use this file to discover all available pages before exploring further.
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Filter search results to a particular space ID A universally unique identifier
"RW50aXR5OjEyMzQ1"
Case-insensitive substring filter on the space name. Narrows results to resources in spaces whose name contains the given string. If omitted, no space name filtering is applied and all resources are returned.
255Case-insensitive substring filter on the resource name. Returns only
resources whose name contains the given string. For example,
name=prod matches "production", "my-prod-dataset", etc. If omitted,
no name filtering is applied and all resources are returned.
255Maximum items to return
1 <= x <= 100Opaque pagination cursor returned from a previous response
(pagination.next_cursor). Treat it as an unreadable token; do not
attempt to parse or construct it.
Was this page helpful?
Suggestions